#ifndef SEASCOPE_VERSION_H
#define SEASCOPE_VERSION_H

#include <map>
#include <sstream>
#include "vendors/_glm.h"

namespace SEAScope
{
  inline std::string getGLMVersion()
  {
    std::ostringstream buffer("");
    buffer << GLM_VERSION_MAJOR << ".";
    buffer << GLM_VERSION_MINOR << ".";
    buffer << GLM_VERSION_PATCH << ".";
    buffer << GLM_VERSION_REVISION;
    return buffer.str();
  }

	static std::map<std::string, std::string> getVersion() {
    std::map<std::string, std::string> v ({
      {"name", "develop"},
      {"ref", "bef8522"},
      {"date", "2023-09-11"},
      {"host", "niflheim"},
      {"arch", "x86_64"},
      {"os", "Arch Linux "},
      {"packager", "Sylvain Herlédan"},
      {"stdc++_version", "6.0.32"},
      {"glibc_version","3.4.32"},
      {"glm_version", getGLMVersion()}
    });
    return v;
	};
};
#endif
